#ifndef INTERFACE
#define INTERFACE

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char l;   /* print LaTeX output for Z-algorithm? */
  char **inputFiles;
  char *p;    /* pattern */
  char *P;    /* file containing pattern */
  short n;    /* naive matching algorithm? */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);

#endif
