/***** naive.c ************************************
 * Description: Implementation of naive pattern
 *   matching algorithm.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Tue Dec  6 03:36:28 2011
 **************************************************/
#include <stdio.h>
#include <string.h>

void naive(char *p, char *t){
  int i, j, lenP, lenT;
  int max;

  lenP = strlen(p);
  lenT = strlen(t);
  max = lenT - lenP + 1;
  for(i=0;i<max;i++){
    for(j=0;j<lenP;j++)
      if(p[j] != t[i+j])
	break;
    if(j == lenP)
      printf("%d\n",i+1);
  }
}
